

// Written by Hans de Nivelle, June 2006.

#include "rulestack.h"


bool rulestack::contains( unsigned int r ) const 
{
   for( std::vector< unsigned int > :: const_iterator 
           p = repr. begin( );
	   p != repr. end( );
	   ++ p )
   {
      if( r == *p ) 
         return true;
   }
   return false;
}



std::ostream& operator << ( std::ostream& stream, 
		            const rulestack& rs )
{
   stream << "{ ";
   for( std::vector< unsigned int > :: const_iterator
           p = rs. repr. begin( );
	   p != rs. repr. end( );
	   ++ p )
   {
      if( p != rs. repr. begin( ))
         stream << ", ";
      stream << *p;
   }
   stream << " }";
   return stream;
}



