

// Code written by Hans de Nivelle, November 2005.
// Modified in May 2006.


#ifndef SEARCH_INCLUDED
#define SEARCH_INCLUDED  1


#include "model.h"
#include "rulesystem.h"
#include "application.h"
#include "partial.h"
#include "rulestack.h"


namespace search
{

   static unsigned int show_closures = 1000; 
       // N means that 1 in N closures are shown.
       // 1000 is a reasonable value.


   partial< application > extendstomodel( model& m, rulesystem& rs );
   partial< application > extendstomodel( model& m, rulesystem& rs, 
		                          rulestack& critical );  

}


#endif


