// -*- indent-tabs-mode: nil -*-
/*****************************************************************
This file is part of the MathServe system

Authors: Juergen Zimmer

email: jzimmer@ags.uni-sb.de
   
For information about this program, write to:                          
MathWeb-Project                                                        
AG Siekmann/FB Informatik                                            
Universitaet des Saarlandes                                          
Gebaeude E 1.1                                                     
D-66041 Saarbruecken                                                 
Germany    

For information about the newest version of MathServe, see 
http://www.ags.uni-sb.de/~jzimmer/mathserve.html

See the file "LICENSE.txt" or
http://www.ags.uni-sb.de/~jzimmer/LICENSE.html
for information on usage and redistribution
of this file, and for a DISCLAIMER OF ALL WARRANTIES.
*****************************************************************/

//  For testing:
//   jade -gui atp:org.mathweb.atp.SpassAgent dummy0:jade.tools.DummyAgent.DummyAgent

package org.mathweb.atp;

import java.util.Date;
import java.util.Vector;
import java.util.Hashtable;
import java.util.Enumeration;
import java.util.Calendar;
import java.io.*;
import java.lang.reflect.Array;


/**
@author Juergen Zimmer University of Edinburgh
@version $Date: 2006/02/13 12:59:22 $ $Revision: 1.3 $
*/
public interface ATPInterface {

  public String prove(String problem,
                      String language,
                      int timeout,
                      String options);
  
} // end ATPInterface.java

      
