// -*- indent-tabs-mode: nil -*-
/*****************************************************************
This file is part of the MathServe system

Authors: Juergen Zimmer

email: jzimmer@ags.uni-sb.de
   
For information about this program, write to:                          
MathWeb-Project                                                        
AG Siekmann/FB Informatik                                            
Universitaet des Saarlandes                                          
Gebaeude E 1.1                                                     
D-66041 Saarbruecken                                                 
Germany    

For information about the newest version of MathServe, see 
http://www.ags.uni-sb.de/~jzimmer/mathserve.html

See the file "LICENSE.txt" or
http://www.ags.uni-sb.de/~jzimmer/LICENSE.html
for information on usage and redistribution
of this file, and for a DISCLAIMER OF ALL WARRANTIES.
*****************************************************************/

//  For testing:

package org.mathweb.broker;

import org.mathweb.serv.ReasoningService;

public class ServiceEntry 
{
  private String id;
  private ReasoningService service;
  
  public ServiceEntry(String name, ReasoningService aService)
  {
    id = name;
    service = aService;
  }

  public String getID(){return id;}  
  public ReasoningService getService() {return service;}
  public String toString()
  {
    return "entry: \n" + id.toString() + "\n" + service.toString();
  }
   
} // end class Entry
