// -*- indent-tabs-mode: nil -*-
/*****************************************************************
This file is part of the MathServe system

Authors: Juergen Zimmer

email: jzimmer@ags.uni-sb.de
   
For information about this program, write to:                          
MathWeb-Project                                                        
AG Siekmann/FB Informatik                                            
Universitaet des Saarlandes                                          
Gebaeude E 1.1                                                     
D-66041 Saarbruecken                                                 
Germany    

For information about the newest version of MathServe, see 
http://www.ags.uni-sb.de/~jzimmer/mathserve.html

See the file "LICENSE.txt" or
http://www.ags.uni-sb.de/~jzimmer/LICENSE.html
for information on usage and redistribution
of this file, and for a DISCLAIMER OF ALL WARRANTIES.
*****************************************************************/
package org.mathweb.dp;

import java.io.*;
import org.apache.log4j.Level;
import org.apache.log4j.Logger; 
import org.apache.log4j.FileAppender; 
import org.apache.log4j.SimpleLayout; 

import org.mathweb.core.BasicService;
import org.mathweb.util.*;
import org.mathweb.onto.OWLJDom;

/**
@author Wooseok Park  Universitaet des Saarlandes
@version $Date: 2006/02/13 12:59:23 $ $Revision: 1.3 $
*/
public class Harvey  extends BasicService {

  private String Harvey_HOME = getSystemProperty("harvey.home", "HARVEY_HOME");
  //  private String[] harvey_envs = new String[] {"Harvey_HOME="+Harvey_HOME};
  //  private String rvcExecutable = findSystemExecutable(Harvey_HOME, "rvc", "EProof.exe");
  //  private String rvExecutable = findSystemExecutable(Harvey_HOME, "rv", "EProof.exe");

  //  private static Logger logger = Logger.getLogger("harvey");
  //  private static String logFileName = getSystemProperty("harvey.log.file", "HARVEY_LOG_FILE");
  //  private static FileAppender appender = newAppender(logFileName);
  
  public Harvey()
  {
    //  super();
    //  logger.setLevel(Level.ALL);
    //  logger.setLevel(Level.OFF);
    //  if (!logger.getAllAppenders().hasMoreElements()) logger.addAppender(appender);
  }  
  
  public String decideProblem(String harveyProblem){
    return "hallo";
  }

   public static void main(String argv[]) throws Exception {
     Harvey h = new Harvey();
     System.out.println("haRVey!");
   }
  

} 

/* Settings for Emacs.
 * Local variables:
 * c-basic-offset: 2
 * tab-width: 2
 * indent-tabs-mode: nil
 * End:
 */
