// -*- indent-tabs-mode: nil -*-
/*****************************************************************
This file is part of the MathServe system

Authors: Juergen Zimmer

email: jzimmer@ags.uni-sb.de
   
For information about this program, write to:                          
MathWeb-Project                                                        
AG Siekmann/FB Informatik                                            
Universitaet des Saarlandes                                          
Gebaeude E 1.1                                                     
D-66041 Saarbruecken                                                 
Germany    

For information about the newest version of MathServe, see 
http://www.ags.uni-sb.de/~jzimmer/mathserve.html

See the file "LICENSE.txt" or
http://www.ags.uni-sb.de/~jzimmer/LICENSE.html
for information on usage and redistribution
of this file, and for a DISCLAIMER OF ALL WARRANTIES.
*****************************************************************/
package org.mathweb.serv;

import org.jdom.Element;

import org.mathweb.serv.*;


/**
 * Example of a useful base class for handing agent arguments.
 * Classes which formerly extended jade.Agent may now extend this class.
 */
public class Input extends Parameter {

  public String contents;

  public Input(String n, String sig)
  {
    super(n, sig);
    contents = null;
  }
  
  public Input(String n, String sig, String cont)
  {
    super(n, sig);
    contents = cont;
  }
  
  public String getContents(){ return contents;}
    
}
