#ifndef LIST_H
#define LIST_H
//-----------------------------------------------------------------------------
#include "DataTypes.h"
//-----------------------------------------------------------------------------
void ResetListVisited(LISTNODE Head);
LISTNODE GetLogicNode(LISTNODE Head);
LISTNODE NewListNode(ANNOTATEDFORMULA AnnotatedFormula);
void AddListNode(LISTNODE * From,LISTNODE Next,ANNOTATEDFORMULA
AnnotatedFormulae);
void FreeListNode(LISTNODE * FreeThis);
LISTNODE DuplicateListOfNodes(LISTNODE Head,int KeepNonLogicNodes);
void FreeListOfAnnotatedFormulae(LISTNODE * Head);
LISTNODE AppendListsOfAnnotatedTSTPNodes(LISTNODE List1,LISTNODE List2);

char * GetAllNames(LISTNODE Head,char ** Names);
int UniquelyNamed(LISTNODE Head);
LISTNODE * GetNodeFromListByNumber(LISTNODE * Head,int Number);
ANNOTATEDFORMULA GetAnnotatedFormulaFromListByNumber(LISTNODE Head,int Number);
LISTNODE * GetNodeFromListByAnnotatedFormulaName(LISTNODE * Head,
char * Name);
ANNOTATEDFORMULA GetAnnotatedFormulaFromListByName(LISTNODE Head, char * Name);
//-----------------------------------------------------------------------------
#endif
