#ifndef SIGNATURE_H
#define SIGNATURE_H
//-----------------------------------------------------------------------------
#include "DataTypes.h"
//-----------------------------------------------------------------------------
void FreeSignature(SIGNATURE * Signature);
int RemovedUnusedSymbols(SIGNATURE Signature);
SIGNATURE NewSignature(void);
char * GetSignatureSymbol(SYMBOLNODE SymbolNode);
int GetSignatureArity(SYMBOLNODE SymbolNode);
void IncreaseSymbolUseCount(SYMBOLNODE Symbol,int HowMuch);
SYMBOLNODE InsertIntoSignatureList(SYMBOLNODE * List,char * Name,int Arity);
SYMBOLNODE InsertIntoSignature(SIGNATURE Signature,TermType Type,
char * Name,int Arity);
SYMBOLNODE NextInSignatureTree(SYMBOLNODE SignatureTree,SYMBOLNODE Current);
void ListSignatureBySearch(SYMBOLNODE SignatureTree);
void PrintSignatureTree(SYMBOLNODE SignatureTree);
void PrintSignature(SIGNATURE Signature);
char * GetSignatureSymbolUsage(SIGNATURE Signature,char ** PutUsageHere,
char ** FunctorUsageStartsHere);
//-----------------------------------------------------------------------------
#endif
