#ifndef TREE_H
#define TREE_H
//-----------------------------------------------------------------------------
#include "DataTypes.h"
//-----------------------------------------------------------------------------
void ResetTreeVisited(TREENODE Tree);
void ResetRootListVisited(ROOTLIST RootListHead);
LISTNODE GetRootList(LISTNODE Head);
void AddRootNode(ROOTLIST * From,ROOTLIST Next,TREENODE TheTree);
ROOTLIST BuildRootList(LISTNODE Head);
void FreeRootList(ROOTLIST * Head,int MustFreeTree);

TREENODE AnnotatedFormulaInTrees(ROOTLIST RootListHead,ANNOTATEDFORMULA 
LookingForThis);

void DFS(FILE * Stream,TREENODE Root);
void PrintRootList(FILE * Stream,ROOTLIST RootList);
//-----------------------------------------------------------------------------
#endif
