#!/usr/bin/perl
# MathServe restart XMLRPC server
# start with 
#   /usr/bin/perl -I/home/jzimmer/nb/Frontier-RPC-0.06/lib /home/mathweb/nb/MathServe-CASC/bin/restartXMLRPC.pl > /home/mathweb/restart.out

use strict;
use warnings;
use Time::Local;
use Frontier::Daemon;

my $d = Frontier::Daemon->new(
			      methods => {
				  restart => \&restart,
			      },
			      LocalAddr => 'hades.ags.uni-sb.de',
			      LocalPort => 12345,
			      );

#my @dayofweek = (qw(Sunday Monday Tuesday Wednesday Thursday Friday Saturday));
my @monthnames = (qw(Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec));


sub restart {
    my $TimeInSeconds;
    my $sec;
    my $min;
    my $hour;
    my $mday;
    my $mon;
    my $year;
    my $wday;
    my $yday;
    $TimeInSeconds = time();
    ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday) = localtime($TimeInSeconds);
    $year += 1900;
    $ENV{TZ} = ':/usr/share/zoneinfo/Europe/Berlin';
    print "Restart MathServe via lambda:12345 on $monthnames[$mon] $mday, $year, at $hour:$min:$sec ...\n";
    
    system("ssh -l mathweb lambda.ags.uni-sb.de /home/mathweb/nb/MathServe-CASC/bin/restart");
    print "\n";
    return "restarted";
}
    

#      my ($arg1, $arg2) = @_;
#      return $arg1 + $arg2;

