<TeXmacs|1.0.5.9>

<style|<tuple|source|keyed>>

<\body>
  <active*|<\src-title>
    <src-package|mathserve|1.0>

    <\src-purpose>
      This package is used for the MathServe plugin.
    </src-purpose>

    <src-copyright|2005|H. Lesourd & Juergen Zimmer>

    <\src-license>
      This <TeXmacs> style package falls under the <hlink|GNU general public
      license|$TEXMACS_PATH/LICENSE> and comes WITHOUT ANY WARRANTY
      WHATSOEVER. If you do not have a copy of the license, then write to the
      Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
      02111-1307, USA.
    </src-license>
  </src-title>>

  <\active*>
    <\src-comment>
      Document Level
    </src-comment>
  </active*>

  <assign|status|<macro|x|Status: <with|color|green|<arg|x>>>>

  <assign|mathserve|<\macro|x>
    We define a MathServe problem

    <arg|x>

    \;

    \;
  </macro>>

  <assign|axiom|<macro|x|Axiom: <arg|x>>>

  <assign|conj|<macro|x|Conjecture: <arg|x>>>

  <\active*>
    <\src-comment>
      Operators
    </src-comment>
  </active*>

  <assign|pow|<macro|x|n|<with|mode|math|<arg|x><rsup|<arg|n>>>>>

  <assign|mforall|<macro|x|body|<with|mode|math|\<forall\><arg|x>.
  <arg|body>>>>

  <assign|mexists|<macro|x|body|<with|mode|math|\<exists\><arg|x>.
  <arg|body>>>>

  <assign|mimpl|<macro|x|y|<with|mode|math|<arg|x> \<Rightarrow\> <arg|y>>>>

  <assign|mor|<macro|x|y|(<arg|x> <with|mode|math|\<vee\>> <arg|y>)>>

  <assign|mneg|<macro|x| <with|mode|math|\<neg\>> <arg|x>>>

  <assign|meq|<macro|x|y|<arg|x> = <arg|y>>>\ 

  <assign|mand|<macro|x|y|<arg|x> <with|mode|math|\<wedge\>> <arg|y>>>

  <assign|mappl|<macro|f|args|<arg|f>(<arg|args>)>>

  <\active*>
    <\src-comment>
      Examplesn
    </src-comment>
  </active*>

  <pow|x|3>

  <fall|x|x=x>

  <axiom|<with|mode|math|x<rsup|n>>>

  <with|mode|math|x<rsup|n>>

  \<less\>with mode=math\<gtr\>

  x\<less\>rsup\<gtr\>2\<less\>/rsup\<gtr\>

  \<less\>/with\<gtr\>

  \<less\>sqrt\<gtr\>x 2\<less\>/sqrt\<gtr\>

  <\initial>
    <\collection>
      <associate|language|english>
      <associate|preamble|true>
    </collection>
  </initial>
</body>

<\initial>
  <\collection>
    <associate|preamble|true>
  </collection>
</initial>
