module ReadFile where

import IO

readFile' :: FilePath -> IO String
readFile' file =
  do h <- openFile file ReadMode
     s <- hGetContents h
     (s == s) `seq` hClose h
     return s

writeFile' :: FilePath -> String -> IO ()
writeFile' file s =
  do eea <- try (writeFile file s)
     case eea of
       Left _  -> do putStr "*"; hFlush stdout; writeFile' file s
       Right _ -> do return ()
